System.Design 2.0.0.0 System.Object System.Web.UI.Design.IDataSourceSchema

Use the class to list the elements of a data source at design time. This implementation of uses a to list the views and fields.

The class is used by custom control designer components to provide lists of views and fields for data-bound controls at design time.

To examine the components of data using a , use the following classes:

The class represents the structure, or schema, of a data source. This class cannot be inherited.

- Constructor
  2.0.0.0
  To be added.

  Creates an instance of the class using a specified .

  The that the instance will describe.
- Method
  2.0.0.0
  System.Web.UI.Design.IDataSourceViewSchema[]

  Each of the objects returned by this method can be converted to a object.

  Gets an array containing information about each view in the data source.

  An array of objects.